import controlP5.*;

ControlP5 controlp5;
float xbase, ybase;
float angle1 = 3 * PI / 2;
float angle2 = 9* PI / 4;
float angle3 = 9* PI / 4;

void setup() {
  size(500, 500);
  stroke(255, 160);
  xbase = width/2;
  ybase = height - 30;
  rectMode(CENTER);
  
  controlp5 = new ControlP5(this);
  controlp5.addSlider("Angle 1", PI, 2*PI, 3*PI/2, 25, 20, 150, 20);
  controlp5.addSlider("Angle 2", PI, 3*PI, 9*PI/4, 25, 50, 150, 20);
  controlp5.addSlider("Angle 3", PI, 3*PI, 9*PI/4, 25, 80, 150, 20);
}

void draw() {
  background(0);
  
  pushMatrix();
  strokeWeight(0);
  rect(xbase, ybase, 80, 30); // this is the stationary base
  
  // TO DO: within this one push() matrix block, draw 3 segments 
  // using the helper function drawSeg

  popMatrix();
}

void drawSeg(float x, float y, float a, float len) {
  // TO DO: create a very short helper function which translates 
  // and rotates the segment you wish to draw, then draws it 
  // accordingly
  
}

void controlEvent(ControlEvent theEvent) {
  if (theEvent.isController()) {
    if (theEvent.controller().name() == "Angle 1") {
      angle1 = theEvent.controller().value();  
    }
    if (theEvent.controller().name() == "Angle 2") {
      angle2 = theEvent.controller().value();
    }
    if (theEvent.controller().name() == "Angle 3") {
      angle3 = theEvent.controller().value();
    }
    
  }
}
